package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.TSSDPolicyOwnerMapper;
import com.sa.ibiz.demo.demo.domain.TSSDPolicyOwner;
import com.sa.ibiz.demo.demo.service.TSSDPolicyOwnerService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.TSSDPolicyOwnerSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[TSSDPolicyOwner] 服务对象接口实现
 */
@Service
public class TSSDPolicyOwnerServiceImpl extends ServiceImplBase<TSSDPolicyOwnerMapper, TSSDPolicyOwner> implements TSSDPolicyOwnerService{


    @Resource
    private TSSDPolicyOwnerMapper tssdpolicyownerMapper;


    @Override
    public boolean create(TSSDPolicyOwner et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(TSSDPolicyOwner et){
        this.beforeUpdate(et);
		this.tssdpolicyownerMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(TSSDPolicyOwner et){
		return et.getTssdpolicyownerid();  
    }

    @Override
    public boolean getDraft(TSSDPolicyOwner et)  {
            return true;
    }

	public List<TSSDPolicyOwner> listDefault(TSSDPolicyOwnerSearchFilter filter) {
		return tssdpolicyownerMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<TSSDPolicyOwner> searchDefault(TSSDPolicyOwnerSearchFilter filter) {
		return tssdpolicyownerMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return tssdpolicyownerMapper.selectRow(sql);
    }

 }